#ifndef FONT_HPP_INCLUDED
#define FONT_HPP_INCLUDED

#include "FontFamily.hpp"
#include "../JavaClass/Class.hpp"

namespace Internal
{
    class Font : public FontFamily
    {
        public:
            Font(const void* Obj);

            Font() = default;
            Font(Font&& Obj) = default;
            Font(const Font& Obj) = default;
            Font& operator=(Font&& Obj) = default;
            Font& operator=(const Font& Obj) = default;

            static Class GetClass();

    };
}

#endif // FONT_HPP_INCLUDED
